## wsdd2-2020-11-19-e0cf50d5.tar.xz

=== Makefile ===
#
# Makefile for wsdd2 WSD/LLMNR server
#
#	Copyright (c) 2016 NETGEAR
#	Copyright (c) 2016 Hiro Sugawara
#

OBJFILES	= wsdd2.o wsd.o llmnr.o
HEADERS		= wsdd.h wsd.h

INSTALLPREFIX ?= $(PREFIX)/usr
SBINDIR       ?= sbin
MANDIR        ?= share/man
LIBDIR        ?= lib

SBININSTALLDIR = $(INSTALLPREFIX)/$(SBINDIR)
MANINSTALLDIR = $(INSTALLPREFIX)/$(MANDIR)
LIBINSTALLDIR = $(LIBDIR)

all: wsdd2

wsdd2: $(OBJFILES)

$(OBJFILES) : $(HEADERS) Makefile

install: wsdd2
	install -d $(DESTDIR)/$(SBININSTALLDIR)
	install wsdd2 $(DESTDIR)/$(SBININSTALLDIR)
	install -d $(DESTDIR)/$(MANINSTALLDIR)/man8
	install wsdd2.8 $(DESTDIR)/$(MANINSTALLDIR)/man8/wsdd2.8
	install -d $(DESTDIR)/$(LIBINSTALLDIR)/systemd/system
	install -m 0644 wsdd2.service $(DESTDIR)/$(LIBINSTALLDIR)/systemd/system

clean:
	rm -f wsdd2 $(OBJFILES)

=== archlinux/PKGBUILD ===
pkgname=wsdd2
pkgver=1.8.1
pkgrel=2
url="https://github.com/Andy2244/wsdd2"
pkgdesc="WSD/LLMNR Discovery/Name Service Daemon"
arch=('x86_64' 'armv7h')
license=('GPL3')

build() {
    cd ../..
    make
}

package() {
    cd ../..
    make SBINDIR=bin \
         LIBDIR=usr/lib \
         DESTDIR="$pkgdir" install

    # Patch systemd file since samba service is called smb on archlinux
    patch -i $pkgdir/../../wsdd2.service.patch "$pkgdir/usr/lib/systemd/system/wsdd2.service"
}
